{% extends 'core/base.html' %}
{% load static %}


{% block content %}
<form id="user-form" method="POST">
	{% csrf_token %}
	<label>Username</label>
	<input type="text" name="username" value="{{ username }}" />

	<label>Password</label>
	<input type="password" name="password" value="{{ password }}" />

	<label>First Name</label>
	<input type="text" name="first_name" value="{{ first_name }}" />

	<label>Last Name</label>
	<input type="text" name="last_name" value="{{ last_name }}" />

	<div>App Permissions</div>

	{% for app in app_permissions %}
	<div class="checkbox-box">
		<input type="checkbox" name="{{ app.app }}" {% if app.enabled %}checked{% endif %} />
		<label>{{ app.display }}</label>
	</div>
	{% endfor %}

	<input type="submit" value="Save" />
	<!-- BOTTOM MARGIN -->
	<!-- This is needed to malke sure the browser
		doesn't cover up the bottom of the page with controls. -->
	<div class="list-bottom-margin"></div>
</form>
{% if userid %}
<div class="list padded">
	<a href="{% url 'core:delete-user' userid %}" class="list">
		<button class="warning-color">Delete User</button>
	</a>
	<!-- BOTTOM MARGIN -->
	<!-- This is needed to malke sure the browser
		doesn't cover up the bottom of the page with controls. -->
	<div class="list-bottom-margin"></div>
</div>
{% endif %}
{% endblock %}